1 Reply Latest reply: Sep 27, 2012 6:12 PM by Niel
Bre83 Level 1 Level 1 (0 points)

Hi I have the old Iphone 3G...not the 3Gs.  I keep trying to download apps and it says my phones incompatible and that I need ios 4.3   I try to update my phone through itunes but it says my phones up to date.  Please Help!!!


iPhone 3G